Bug 70650 - rhnsd gets "stuck"
rhnsd gets "stuck"
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
:
Depends On:
Blocks: 67218 79579
  Show dependency treegraph
 
Reported: 2002-08-02 23:24 EDT by James Manning
Modified: 2015-01-07 18:58 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-20 22:08:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
up2date logs (22.87 KB, text/plain)
2002-08-02 23:27 EDT, James Manning
no flags Details

  None (edit)
Description James Manning 2002-08-02 23:24:11 EDT
just started digging into one of the dialup machines that doesn't do rhn checks
successfully.

jmm@bp6:/var/log> rpm -qf $(which up2date)
up2date-2.7.61-7.x.2
jmm@bp6:/home/jmm> service rhnsd status
rhnsd (pid 670) is running...
jmm@bp6:/home/jmm> ps auxwww|grep -i rhn
root      1354  0.0  0.7  6692 1808 ?        S    Jun03   0:11 /usr/bin/python
/usr/sbin/rhn_check
root       670  0.0  0.2  1656  540 ?        S    Jun23   0:00 rhnsd --interval 120
root     22461  0.0  0.9  6088 2320 ?        S    Jun30   0:00 /usr/bin/python
/usr/sbin/rhn_check
jmm      19701  0.0  0.2  1744  600 pts/1    S    23:20   0:00 grep -i rhn

i'll attach all the up2date logs (cat /var/log/up2date* > up2date.logs).  Not
sure if it was be running up2date while an rhn check was going on, or all the
comm problems causing something to screw up or what, but it's 1) not likely to
be easily reproducible and 2) not the first time this has happened.

up2date needs a dialup client test scenario - lots of things suck on dialup
situations :)
Comment 1 James Manning 2002-08-02 23:27:05 EDT
Created attachment 68684 [details]
up2date logs
Comment 2 Adrian Likins 2002-08-08 22:44:38 EDT
no idea what this might be at the moment, will investigate
Comment 3 Adrian Likins 2002-08-21 23:40:55 EDT
have you seen this any more?

Comment 4 James Manning 2002-08-22 00:18:11 EDT
it happened again, but the machine in question is off any network at the moment
(he's doing duty as a mobile "tivo upgrades done fast" box as I help out some
friends :) so I'll have to see if this reproduces again once he's back
Comment 5 Adrian Likins 2003-01-20 22:08:16 EST
Haven't seen any other reports of this, and can't duplicate it
myself. I also suspect if anything it was related to some
rhnsd bugs that got fixed in the most recent 6.2-7.x errata.

So for now, I'm closing this WORKSFORME. If you see it
again, reopen.

Note You need to log in before you can comment on or make changes to this bug.